• Post Reply Bookmark Topic Watch Topic
  • New Topic

about public and private JRE  RSS feed

 
Hussein Baghdadi
clojure forum advocate
Bartender
Posts: 3479
Clojure Mac Objective C
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi guys.
I have used J2SE 1.4.0 and now want to upgrade to J2SE 1.4.2
Ok, but while reading J2SE 1.4.2 realese notes, I have read that this version includes a private JRE and a public one.
so should I accept this the public version ?
I want to be able to use J2SE 1.4.2 as the same way the J2SE 1.4.0
like using :
javac Myclass.java
java Myclass
so will the public version of JRE impact the normal command ?
 
Marc Pr�pper
Greenhorn
Posts: 7
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi, I installed Java 1.4.2. a few days ago, first only with the private JRE. The problem I encountered was that Microsoft's VM will not support applets (1.4.2.) and they will not load. After explicitly installing Java's public JRE it all works fine again, because it'll replace Microsof's VM (if you want you can easily makes MS's VM deault again).
Marc
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!